package org.websparrow.controller;

import java.util.Arrays;
import java.util.List;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.servlet.ModelAndView;

@Controller
public class EmployeeController {

	@GetMapping("/employees/{name}")
	public ModelAndView welcome(@PathVariable String name) {
		ModelAndView mv = new ModelAndView();
		// Placeholders, later used in template file
		mv.addObject("name", name);
		mv.addObject("location", "India");
		// Template file name
		mv.setViewName("welcome");
		return mv;
	}

	@GetMapping("/employees/{name}/team")
	public ModelAndView findTeam(@PathVariable String name) {
		List<String> teamMembers = Arrays.asList("Jack", "Manish", "Lucy",
				"Dhirendra");
		ModelAndView mv = new ModelAndView();
		mv.addObject("name", name);
		mv.addObject("teamMembers", teamMembers);
		mv.setViewName("team");
		return mv;
	}
}
